Bug 1645600 - [OSP14] ansible-role-tripleo-modify-image provide non-human readable output in tripleo-container-image-prepare.log in case of error
Summary: [OSP14] ansible-role-tripleo-modify-image provide non-human readable output i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 14.0 (Rocky)
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 15.0 (Stein)
Assignee: Steve Baker
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On:
Blocks: 1702749
TreeView+ depends on / blocked
 
Reported: 2018-11-02 15:37 UTC by Artem Hrechanychenko
Modified: 2019-09-26 10:46 UTC (History)
3 users (show)

Fixed In Version: openstack-tripleo-common-10.6.1-0.20190404000356.3398bec.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1702749 (view as bug list)
Environment:
Last Closed: 2019-09-21 11:19:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1813684 0 None None None 2019-01-29 01:20:03 UTC
OpenStack gerrit 633633 0 None MERGED Use the yaml stdout_callback for better prepare logging 2020-11-28 01:44:48 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:45 UTC

Description Artem Hrechanychenko 2018-11-02 15:37:25 UTC
Description of problem:

TASK [Run tripleo-container-image-prepare] *************************************
Friday 02 November 2018  11:23:20 -0400 (0:00:00.413)       0:03:46.084 ******* 
 [WARNING]: Consider using 'become', 'become_method', and 'become_user' rather

than running sudo
fatal: [undercloud]: FAILED! => {"changed": true, "cmd": "sudo /usr/bin/tripleo-container-image-prepare --roles-file /tmp/ansible.Dz6DzJ-role-data --environment-file /tmp/ansible.ngA9jc-prepare-param --cleanup partial 2> tripleo-container-image-prepare.log", "delta": "0:01:37.340872", "end": "2018-11-02 11:24:57.811914", "msg": "non-zero return code", "rc": 1, "start": "2018-11-02 11:23:20.471042", "stderr": "", "stderr_lines": [], "stdout": "", "stdout_lines": []}



from log file output it's hard to read real error:
INFO:tripleo_common.actions.ansible:Running ansible-playbook command: ['ansible-playbook', '-vvvvv', '/tmp/tripleo-modify-image-playbook-nMliLL/playbook.yaml']
Traceback (most recent call last):
  File "/usr/bin/tripleo-container-image-prepare", line 100, in <module>
    env, roles_data, cleanup=args.cleanup)
  File "/usr/lib/python2.7/site-packages/tripleo_common/image/kolla_builder.py", line 198, in container_images_prepare_multi
    uploader.upload()
  File "/usr/lib/python2.7/site-packages/tripleo_common/image/image_uploader.py", line 132, in upload
    uploader.run_tasks()
  File "/usr/lib/python2.7/site-packages/tripleo_common/image/image_uploader.py", line 514, in run_tasks
    result = self.upload_image(*first)
  File "/usr/lib/python2.7/site-packages/tripleo_common/image/image_uploader.py", line 262, in upload_image
    target_image_source_tag, append_tag)
  File "/usr/lib/python2.7/site-packages/tripleo_common/image/image_uploader.py", line 212, in run_modify_playbook
    result = action.run(None)
  File "/usr/lib/python2.7/site-packages/tripleo_common/actions/ansible.py", line 583, in run
    log_errors=processutils.LogErrors.ALL)
  File "/usr/lib/python2.7/site-packages/oslo_concurrency/processutils.py", line 424, in execute
    cmd=sanitized_cmd)
oslo_concurrency.processutils.ProcessExecutionError: Unexpected error while running command.
Command: ansible-playbook -vvvvv /tmp/tripleo-modify-image-playbook-nMliLL/playbook.yaml
Exit code: 2
Stdout: u'ansible-playbook 2.5.7\n  config file = /tmp/tripleo-modify-image-playbook-nMliLL/ansible.cfg\n  configured module search path = [u\'/tmp/tripleo-modify-image-playbook-nMliLL/.ansible/plugins/modules\', u\'/usr/share/ansible/plugins/modules\']\n  ansible python module location = /usr/lib/python2.7/site-packages/ansible\n  executable location = /bin/ansible-playbook\n  python version = 2.7.5 (default, Sep 12 2018, 05:31:16) [GCC 4.8.5 20150623 (Red Hat 4.8.5-36)]\nUsing /tmp/tripleo-modify-image-playbook-nMliLL/ansible.cfg as config file\nsetting up inventory plugins\nParsed /etc/ansible/hosts inventory source with ini plugin\nstatically imported: /usr/share/ansible/roles/tripleo-modify-image/tasks/precheck.yml\nstatically imported: /usr/share/ansible/roles/tripleo-modify-image/tasks/rpm_install.yml\nstatically imported: /usr/share/ansible/roles/tripleo-modify-image/tasks/precheck.yml\nstatically imported: /usr/share/ansible/roles/tripleo-modify-image/tasks/get_original_user.yml\nLoading callback plugin default of type stdout, v2.0 from /usr/lib/python2.7/site-packages/ansible/plugins/callback/default.pyc\nLoading callback plugin json-error of type aggregate, v2.5 from /usr/share/ansible/plugins/callback/json_error.pyc\nLoading callback plugin profile_tasks of type aggregate, v2.0 from /usr/lib/python2.7/site-packages/ansible/plugins/callback/profile_tasks.pyc\n\nPLAYBOOK: playbook.yaml ********************************************************\n1 plays in /tmp/tripleo-modify-image-playbook-nMliLL/playbook.yaml\n\nPLAY [localhost] ***************************************************************\n\nTASK [Gathering Facts] *********************************************************\ntask path: /tmp/tripleo-modify-image-playbook-nMliLL/playbook.yaml:1\nFriday 02 November 2018  11:24:35 -0400 (0:00:00.063)       0:00:00.063 ******* \nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/basic.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/namespace.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/ansible_collector.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/default_collectors.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/_text.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/convert_bool.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/pycompat24.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/six/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/compat.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/timeout.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/collector.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/freebsd.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/virtual/openbsd.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/base.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/hardware/dragonfly.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/dragonfly.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/hardware/aix.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/aix.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/hardware/linux.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/platform.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/hardware/hpux.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/user.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/hardware/hurd.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/other/facter.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/virtual/sunos.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/hpux.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/distribution.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/virtual/freebsd.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/openbsd.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/darwin.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/linux.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/hardware/sunos.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/sunos.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/chroot.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/apparmor.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/hardware/openbsd.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/local.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/other/ohai.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/other/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/service_mgr.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/hurd.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/virtual/hpux.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/fips.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/selinux.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/virtual/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/pkg_mgr.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/dns.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/virtual/base.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/hardware/darwin.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/virtual/dragonfly.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/ssh_pub_keys.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/hardware/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/lsb.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/date_time.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/virtual/netbsd.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/hardware/base.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/cmdline.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/hardware/freebsd.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/netbsd.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/hardware/netbsd.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/caps.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/env.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/virtual/linux.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/system/python.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/network/generic_bsd.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/virtual/sysctl.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/utils.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/facts/sysctl.py\nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/system/setup.py\n<127.0.0.1> ESTABLISH LOCAL CONNECTION FOR USER: root\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\nok: [localhost]\nMETA: ran handlers\n\nTASK [tripleo-modify-image : Ensure that source_image is defined] **************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/precheck.yml:1\nFriday 02 November 2018  11:24:51 -0400 (0:00:16.193)       0:00:16.257 ******* \nok: [localhost] => {\n    "changed": false, \n    "msg": "All assertions passed"\n}\n\nTASK [tripleo-modify-image : Ensure that container_build_tool is correctly set] ***\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/precheck.yml:7\nFriday 02 November 2018  11:24:51 -0400 (0:00:00.055)       0:00:16.312 ******* \nskipping: [localhost] => {\n    "changed": false, \n    "skip_reason": "Conditional result was False"\n}\n\nTASK [tripleo-modify-image : Ensure that source_image is defined] **************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/precheck.yml:1\nFriday 02 November 2018  11:24:51 -0400 (0:00:00.037)       0:00:16.349 ******* \nok: [localhost] => {\n    "changed": false, \n    "msg": "All assertions passed"\n}\n\nTASK [tripleo-modify-image : Ensure that container_build_tool is correctly set] ***\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/precheck.yml:7\nFriday 02 November 2018  11:24:51 -0400 (0:00:00.056)       0:00:16.406 ******* \nskipping: [localhost] => {\n    "changed": false, \n    "skip_reason": "Conditional result was False"\n}\n\nTASK [tripleo-modify-image : Inspect image with Docker] ************************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/get_original_user.yml:3\nFriday 02 November 2018  11:24:51 -0400 (0:00:00.038)       0:00:16.445 ******* \nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/docker_common.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/convert_bool.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/basic.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/six/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/_text.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/pycompat24.py\nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/cloud/docker/docker_image_facts.py\n<127.0.0.1> ESTABLISH LOCAL CONNECTION FOR USER: root\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\nok: [localhost] => {\n    "attempts": 1, \n    "changed": false, \n    "images": [\n        {\n            "Architecture": "amd64", \n            "Author": "", \n            "Comment": "", \n            "Config": {\n                "ArgsEscaped": true, \n                "AttachStderr": false, \n                "AttachStdin": false, \n                "AttachStdout": false, \n                "Cmd": [\n                    "kolla_start"\n                ], \n                "Domainname": "", \n                "Entrypoint": null, \n                "Env": [\n                    "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin", \n                    "container=oci", \n                    "KOLLA_BASE_DISTRO=rhel", \n                    "KOLLA_INSTALL_TYPE=binary", \n                    "KOLLA_INSTALL_METATYPE=rhos", \n                    "PS1=$(tput bold)($(printenv KOLLA_SERVICE_NAME))$(tput sgr0)[$(id -un)@$(hostname -s) $(pwd)]$ "\n                ], \n                "Hostname": "f7a32a4dc10a", \n                "Image": "24ea9984172203d9a3febc7fe6d3b809b1a1727e51aa53be9037569ba14088db", \n                "Labels": {\n                    "architecture": "x86_64", \n                    "authoritative-source-url": "registry.access.redhat.com", \n                    "batch": "20181029.1", \n                    "build-date": "2018-10-30T12:05:36.761933", \n                    "com.redhat.build-host": "cpt-0001.osbs.prod.upshift.rdu2.redhat.com", \n                    "com.redhat.component": "openstack-nova-compute-container", \n                    "description": "Red Hat OpenStack Platform 14.0 nova-compute", \n                    "distribution-scope": "public", \n                    "io.k8s.description": "Red Hat OpenStack Platform 14.0 nova-compute", \n                    "io.k8s.display-name": "Red Hat OpenStack Platform 14.0 nova-compute", \n                    "io.openshift.tags": "rhosp osp openstack osp-14.0", \n                    "name": "rhosp14/openstack-nova-compute", \n                    "release": "73", \n                    "summary": "Red Hat OpenStack Platform 14.0 nova-compute", \n                    "url": "https://access.redhat.com/containers/#/registry.access.redhat.com/rhosp14/openstack-nova-compute/images/14.0-73", \n                    "vcs-ref": "a7a5c1c4770e62dd6758194f12d3ea2c89b652f9", \n                    "vcs-type": "git", \n                    "vendor": "Red Hat, Inc.", \n                    "version": "14.0"\n                }, \n                "OnBuild": [], \n                "OpenStdin": false, \n                "StdinOnce": false, \n                "StopSignal": "SIGTERM", \n                "Tty": false, \n                "User": "nova", \n                "Volumes": null, \n                "WorkingDir": ""\n            }, \n            "Container": "", \n            "ContainerConfig": {\n                "ArgsEscaped": true, \n                "AttachStderr": false, \n                "AttachStdin": false, \n                "AttachStdout": false, \n                "Cmd": [\n                    "/bin/sh", \n                    "-c", \n                    "#(nop) ", \n                    "USER [nova]"\n                ], \n                "Domainname": "", \n                "Entrypoint": null, \n                "Env": [\n                    "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin", \n                    "container=oci", \n                    "KOLLA_BASE_DISTRO=rhel", \n                    "KOLLA_INSTALL_TYPE=binary", \n                    "KOLLA_INSTALL_METATYPE=rhos", \n                    "PS1=$(tput bold)($(printenv KOLLA_SERVICE_NAME))$(tput sgr0)[$(id -un)@$(hostname -s) $(pwd)]$ "\n                ], \n                "Hostname": "f7a32a4dc10a", \n                "Image": "sha256:36890e82857791be29b34306dfedc5734d20f97c4b750ddce0f860bfbfc09af2", \n                "Labels": {\n                    "architecture": "x86_64", \n                    "authoritative-source-url": "registry.access.redhat.com", \n                    "batch": "20181029.1", \n                    "build-date": "2018-10-30T12:05:36.761933", \n                    "com.redhat.build-host": "cpt-0001.osbs.prod.upshift.rdu2.redhat.com", \n                    "com.redhat.component": "openstack-nova-compute-container", \n                    "description": "Red Hat OpenStack Platform 14.0 nova-compute", \n                    "distribution-scope": "public", \n                    "io.k8s.description": "Red Hat OpenStack Platform 14.0 nova-compute", \n                    "io.k8s.display-name": "Red Hat OpenStack Platform 14.0 nova-compute", \n                    "io.openshift.tags": "rhosp osp openstack osp-14.0", \n                    "name": "rhosp14/openstack-nova-compute", \n                    "release": "73", \n                    "summary": "Red Hat OpenStack Platform 14.0 nova-compute", \n                    "url": "https://access.redhat.com/containers/#/registry.access.redhat.com/rhosp14/openstack-nova-compute/images/14.0-73", \n                    "vcs-ref": "a7a5c1c4770e62dd6758194f12d3ea2c89b652f9", \n                    "vcs-type": "git", \n                    "vendor": "Red Hat, Inc.", \n                    "version": "14.0"\n                }, \n                "OnBuild": [], \n                "OpenStdin": false, \n                "StdinOnce": false, \n                "StopSignal": "SIGTERM", \n                "Tty": false, \n                "User": "nova", \n                "Volumes": null, \n                "WorkingDir": ""\n            }, \n            "Created": "2018-10-30T12:10:52.071542Z", \n            "DockerVersion": "1.13.1", \n            "GraphDriver": {\n                "Data": {\n                    "LowerDir": "/var/lib/docker/overlay2/f10fc1645d6d9103e85d3402c8aa5fd9def53dab24e03bfae2f6f36b9c939298/diff:/var/lib/docker/overlay2/f13f0c9a71cb8a07d5bccd9e2584dedcf4ee502cadb1137f1950565ecb352339/diff:/var/lib/docker/overlay2/225c1703dec8ea3c884749b27202cf92bc8e2c99a1bbf8b8ebca165b825a1181/diff:/var/lib/docker/overlay2/3a362b2465efde8cf8981b2afa354a1d93e3593ba2e81d01f1bab1669da7982c/diff:/var/lib/docker/overlay2/ddd93ffacf80623ca0638b702ccc5a1a0982b35756e87095bd3c0f22f7b4b00a/diff", \n                    "MergedDir": "/var/lib/docker/overlay2/1f044afe2c4dd26230b5207762130044146fbfb01bd9b376c5fa79bf7597fc68/merged", \n                    "UpperDir": "/var/lib/docker/overlay2/1f044afe2c4dd26230b5207762130044146fbfb01bd9b376c5fa79bf7597fc68/diff", \n                    "WorkDir": "/var/lib/docker/overlay2/1f044afe2c4dd26230b5207762130044146fbfb01bd9b376c5fa79bf7597fc68/work"\n                }, \n                "Name": "overlay2"\n            }, \n            "Id": "sha256:45fe45c3ac27075845498de2d260fdb45c77e7819f3570492211fab5f9bb3cf1", \n            "Os": "linux", \n            "Parent": "", \n            "RepoDigests": [\n                "192.168.24.1:8787/rhosp14/openstack-nova-compute@sha256:ec61684dcaad307dc6c691fee77b3b9bb6b2143cbbd750828a3b828396986e55", \n                "docker-registry.engineering.redhat.com/rhosp14/openstack-nova-compute@sha256:ec61684dcaad307dc6c691fee77b3b9bb6b2143cbbd750828a3b828396986e55"\n            ], \n            "RepoTags": [\n                "192.168.24.1:8787/rhosp14/openstack-nova-compute:2018-10-29.1", \n                "docker-registry.engineering.redhat.com/rhosp14/openstack-nova-compute:latest"\n            ], \n            "RootFS": {\n                "Layers": [\n                    "sha256:dd7d5adb4579031663c0489591f9516900e3c64727ca9ad0bc4516265703ac92", \n                    "sha256:27e45ca143e19ec3a4f6ff98ffbd470680ddb396c83ae76a9dc5e28ec6ade24d", \n                    "sha256:eea7906816b7346822d22d5742c87c8ffd8e89d2d805e698e34bd1949c24f23d", \n                    "sha256:16120f6df5b3275b385a358a69eddb4eb08a6093dd1d944204abdab4d5938824", \n                    "sha256:21bd831859ec4cf1ac61da200b2c68c48bd5c97a399019952ea81e28c6229a80", \n                    "sha256:22394e8fef5acf3a2afa098da99b6caf2ab18559998887df6224cf268ca435c9"\n                ], \n                "Type": "layers"\n            }, \n            "Size": 1341018382, \n            "VirtualSize": 1341018382\n        }\n    ], \n    "invocation": {\n        "module_args": {\n            "api_version": null, \n            "cacert_path": null, \n            "cert_path": null, \n            "debug": false, \n            "docker_host": null, \n            "filter_logger": false, \n            "key_path": null, \n            "name": [\n                "docker-registry.engineering.redhat.com/rhosp14/openstack-nova-compute:latest"\n            ], \n            "ssl_version": null, \n            "timeout": null, \n            "tls": null, \n            "tls_hostname": null, \n            "tls_verify": null\n        }\n    }\n}\n\nTASK [tripleo-modify-image : Set original_user with Docker] ********************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/get_original_user.yml:10\nFriday 02 November 2018  11:24:52 -0400 (0:00:00.626)       0:00:17.071 ******* \nok: [localhost] => {\n    "ansible_facts": {\n        "original_user": "nova"\n    }, \n    "changed": false\n}\n\nTASK [tripleo-modify-image : Inspect image with Buildah] ***********************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/get_original_user.yml:16\nFriday 02 November 2018  11:24:52 -0400 (0:00:00.061)       0:00:17.132 ******* \nskipping: [localhost] => {\n    "changed": false, \n    "skip_reason": "Conditional result was False"\n}\n\nTASK [tripleo-modify-image : Set config with Buildah] **************************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/get_original_user.yml:20\nFriday 02 November 2018  11:24:52 -0400 (0:00:00.043)       0:00:17.176 ******* \nskipping: [localhost] => {\n    "changed": false, \n    "skip_reason": "Conditional result was False"\n}\n\nTASK [tripleo-modify-image : Set original_user with Buildah] *******************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/get_original_user.yml:23\nFriday 02 November 2018  11:24:52 -0400 (0:00:00.049)       0:00:17.225 ******* \nskipping: [localhost] => {\n    "changed": false, \n    "skip_reason": "Conditional result was False"\n}\n\nTASK [tripleo-modify-image : Create image build context directory] *************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/rpm_install.yml:7\nFriday 02 November 2018  11:24:52 -0400 (0:00:00.049)       0:00:17.275 ******* \nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/_text.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/basic.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/six/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/convert_bool.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/pycompat24.py\nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/files/tempfile.py\n<127.0.0.1> ESTABLISH LOCAL CONNECTION FOR USER: root\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\nchanged: [localhost] => {\n    "changed": true, \n    "gid": 0, \n    "group": "root", \n    "invocation": {\n        "module_args": {\n            "path": null, \n            "prefix": "tripleo-modify-image", \n            "state": "directory", \n            "suffix": ""\n        }\n    }, \n    "mode": "0700", \n    "owner": "root", \n    "path": "/tmp/tripleo-modify-imagedGdyCc", \n    "size": 6, \n    "state": "directory", \n    "uid": 0\n}\n\nTASK [tripleo-modify-image : Set modify_dir_path] ******************************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/rpm_install.yml:13\nFriday 02 November 2018  11:24:53 -0400 (0:00:00.326)       0:00:17.601 ******* \nok: [localhost] => {\n    "ansible_facts": {\n        "modify_dir_path": "/tmp/tripleo-modify-imagedGdyCc"\n    }, \n    "changed": false\n}\n\nTASK [tripleo-modify-image : List RPMs] ****************************************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/rpm_install.yml:17\nFriday 02 November 2018  11:24:53 -0400 (0:00:00.050)       0:00:17.652 ******* \nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/basic.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/_text.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/convert_bool.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/pycompat24.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/six/__init__.py\nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/files/find.py\n<127.0.0.1> ESTABLISH LOCAL CONNECTION FOR USER: root\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\nok: [localhost] => {\n    "changed": false, \n    "examined": 0, \n    "files": [], \n    "invocation": {\n        "module_args": {\n            "age": null, \n            "age_stamp": "mtime", \n            "contains": null, \n            "excludes": null, \n            "file_type": "file", \n            "follow": false, \n            "get_checksum": false, \n            "hidden": false, \n            "paths": [\n                "/home/stack/nova-hotfix-pkgs"\n            ], \n            "patterns": [\n                "^.*?\\\\.rpm$"\n            ], \n            "recurse": false, \n            "size": null, \n            "use_regex": true\n        }\n    }, \n    "matched": 0, \n    "msg": "/home/stack/nova-hotfix-pkgs was skipped as it does not seem to be a valid directory or it cannot be accessed\\n"\n}\n\nTASK [tripleo-modify-image : Set rpms_list] ************************************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/rpm_install.yml:25\nFriday 02 November 2018  11:24:53 -0400 (0:00:00.326)       0:00:17.978 ******* \nok: [localhost] => {\n    "ansible_facts": {\n        "rpms_list": []\n    }, \n    "changed": false\n}\n\nTASK [tripleo-modify-image : Copy RPMs to context dir] *************************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/rpm_install.yml:29\nFriday 02 November 2018  11:24:53 -0400 (0:00:00.053)       0:00:18.032 ******* \n\nTASK [tripleo-modify-image : Write Dockerfile to /tmp/tripleo-modify-imagedGdyCc] ***\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/rpm_install.yml:35\nFriday 02 November 2018  11:24:53 -0400 (0:00:00.045)       0:00:18.077 ******* \n<127.0.0.1> ESTABLISH LOCAL CONNECTION FOR USER: root\n<127.0.0.1> EXEC /bin/sh -c \'echo ~root && sleep 0\'\n<127.0.0.1> EXEC /bin/sh -c \'( umask 77 && mkdir -p "` echo /root/.ansible/tmp/ansible-tmp-1541172293.6-176713794935575 `" && echo ansible-tmp-1541172293.6-176713794935575="` echo /root/.ansible/tmp/ansible-tmp-1541172293.6-176713794935575 `" ) && sleep 0\'\nlooking for "Dockerfile-rpm.j2" at "/usr/share/ansible/roles/tripleo-modify-image/templates/Dockerfile-rpm.j2"\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/_text.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/basic.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/six/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/convert_bool.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/pycompat24.py\nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/files/stat.py\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\n<127.0.0.1> PUT /tmp/tripleo-modify-image-playbook-nMliLL/ansible-local-83272bi40wx/tmpTHwb75/Dockerfile-rpm.j2 TO /root/.ansible/tmp/ansible-tmp-1541172293.6-176713794935575/source\n<127.0.0.1> EXEC /bin/sh -c \'chmod u+x /root/.ansible/tmp/ansible-tmp-1541172293.6-176713794935575/ /root/.ansible/tmp/ansible-tmp-1541172293.6-176713794935575/source && sleep 0\'\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/_text.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/basic.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/six/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/convert_bool.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/pycompat24.py\nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/files/copy.py\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\n<127.0.0.1> EXEC /bin/sh -c \'rm -f -r /root/.ansible/tmp/ansible-tmp-1541172293.6-176713794935575/ > /dev/null 2>&1 && sleep 0\'\nchanged: [localhost] => {\n    "changed": true, \n    "checksum": "418f8a572d8c4a8c4f6b29ec47a4746dccdb7f55", \n    "dest": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile", \n    "diff": [], \n    "gid": 0, \n    "group": "root", \n    "invocation": {\n        "module_args": {\n            "attributes": null, \n            "backup": false, \n            "checksum": "418f8a572d8c4a8c4f6b29ec47a4746dccdb7f55", \n            "content": null, \n            "delimiter": null, \n            "dest": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile", \n            "directory_mode": null, \n            "follow": false, \n            "force": true, \n            "group": null, \n            "local_follow": null, \n            "mode": null, \n            "original_basename": "Dockerfile-rpm.j2", \n            "owner": null, \n            "regexp": null, \n            "remote_src": null, \n            "selevel": null, \n            "serole": null, \n            "setype": null, \n            "seuser": null, \n            "src": "/root/.ansible/tmp/ansible-tmp-1541172293.6-176713794935575/source", \n            "unsafe_writes": null, \n            "validate": null\n        }\n    }, \n    "md5sum": "4c123a1cab3e20fc9fd7ced19af62cfa", \n    "mode": "0644", \n    "owner": "root", \n    "size": 192, \n    "src": "/root/.ansible/tmp/ansible-tmp-1541172293.6-176713794935575/source", \n    "state": "file", \n    "uid": 0\n}\n\nTASK [tripleo-modify-image : Write rpm_install.sh] *****************************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/rpm_install.yml:40\nFriday 02 November 2018  11:24:54 -0400 (0:00:00.715)       0:00:18.792 ******* \n<127.0.0.1> ESTABLISH LOCAL CONNECTION FOR USER: root\n<127.0.0.1> EXEC /bin/sh -c \'echo ~root && sleep 0\'\n<127.0.0.1> EXEC /bin/sh -c \'( umask 77 && mkdir -p "` echo /root/.ansible/tmp/ansible-tmp-1541172294.32-189700786009209 `" && echo ansible-tmp-1541172294.32-189700786009209="` echo /root/.ansible/tmp/ansible-tmp-1541172294.32-189700786009209 `" ) && sleep 0\'\nlooking for "rpm_install.sh" at "/usr/share/ansible/roles/tripleo-modify-image/files/rpm_install.sh"\nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/files/stat.py\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\n<127.0.0.1> PUT /usr/share/ansible/roles/tripleo-modify-image/files/rpm_install.sh TO /root/.ansible/tmp/ansible-tmp-1541172294.32-189700786009209/source\n<127.0.0.1> EXEC /bin/sh -c \'chmod u+x /root/.ansible/tmp/ansible-tmp-1541172294.32-189700786009209/ /root/.ansible/tmp/ansible-tmp-1541172294.32-189700786009209/source && sleep 0\'\nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/files/copy.py\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\n<127.0.0.1> EXEC /bin/sh -c \'rm -f -r /root/.ansible/tmp/ansible-tmp-1541172294.32-189700786009209/ > /dev/null 2>&1 && sleep 0\'\nchanged: [localhost] => {\n    "changed": true, \n    "checksum": "574c03663d4fbede907a44a19eb2aaff3b3e9241", \n    "dest": "/tmp/tripleo-modify-imagedGdyCc/rpm_install.sh", \n    "diff": [], \n    "gid": 0, \n    "group": "root", \n    "invocation": {\n        "module_args": {\n            "attributes": null, \n            "backup": false, \n            "checksum": "574c03663d4fbede907a44a19eb2aaff3b3e9241", \n            "content": null, \n            "delimiter": null, \n            "dest": "/tmp/tripleo-modify-imagedGdyCc/rpm_install.sh", \n            "directory_mode": null, \n            "follow": false, \n            "force": true, \n            "group": null, \n            "local_follow": null, \n            "mode": "0555", \n            "original_basename": "rpm_install.sh", \n            "owner": null, \n            "regexp": null, \n            "remote_src": null, \n            "selevel": null, \n            "serole": null, \n            "setype": null, \n            "seuser": null, \n            "src": "/root/.ansible/tmp/ansible-tmp-1541172294.32-189700786009209/source", \n            "unsafe_writes": null, \n            "validate": null\n        }\n    }, \n    "md5sum": "de5e13a32024744262737cb3fa5b48fb", \n    "mode": "0555", \n    "owner": "root", \n    "size": 83, \n    "src": "/root/.ansible/tmp/ansible-tmp-1541172294.32-189700786009209/source", \n    "state": "file", \n    "uid": 0\n}\n\nTASK [tripleo-modify-image : include_tasks] ************************************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/rpm_install.yml:46\nFriday 02 November 2018  11:24:54 -0400 (0:00:00.401)       0:00:19.194 ******* \nstatically imported: /usr/share/ansible/roles/tripleo-modify-image/tasks/precheck.yml\nincluded: /usr/share/ansible/roles/tripleo-modify-image/tasks/modify_image.yml for localhost\n\nTASK [tripleo-modify-image : Ensure that source_image is defined] **************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/precheck.yml:1\nFriday 02 November 2018  11:24:54 -0400 (0:00:00.089)       0:00:19.283 ******* \nok: [localhost] => {\n    "changed": false, \n    "msg": "All assertions passed"\n}\n\nTASK [tripleo-modify-image : Ensure that container_build_tool is correctly set] ***\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/precheck.yml:7\nFriday 02 November 2018  11:24:54 -0400 (0:00:00.062)       0:00:19.346 ******* \nskipping: [localhost] => {\n    "changed": false, \n    "skip_reason": "Conditional result was False"\n}\n\nTASK [tripleo-modify-image : Ensure that modify_dir_path is defined] ***********\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/modify_image.yml:5\nFriday 02 November 2018  11:24:54 -0400 (0:00:00.043)       0:00:19.390 ******* \nok: [localhost] => {\n    "changed": false, \n    "msg": "All assertions passed"\n}\n\nTASK [tripleo-modify-image : Set default modified_append_tag] ******************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/modify_image.yml:11\nFriday 02 November 2018  11:24:54 -0400 (0:00:00.057)       0:00:19.447 ******* \nskipping: [localhost] => {\n    "changed": false, \n    "skip_reason": "Conditional result was False"\n}\n\nTASK [tripleo-modify-image : Copy Dockerfile to Dockerfile.modified] ***********\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/modify_image.yml:16\nFriday 02 November 2018  11:24:54 -0400 (0:00:00.044)       0:00:19.491 ******* \n<127.0.0.1> ESTABLISH LOCAL CONNECTION FOR USER: root\n<127.0.0.1> EXEC /bin/sh -c \'echo ~root && sleep 0\'\n<127.0.0.1> EXEC /bin/sh -c \'( umask 77 && mkdir -p "` echo /root/.ansible/tmp/ansible-tmp-1541172295.02-129503570962152 `" && echo ansible-tmp-1541172295.02-129503570962152="` echo /root/.ansible/tmp/ansible-tmp-1541172295.02-129503570962152 `" ) && sleep 0\'\nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/files/stat.py\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\n<127.0.0.1> PUT /tmp/tripleo-modify-imagedGdyCc/Dockerfile TO /root/.ansible/tmp/ansible-tmp-1541172295.02-129503570962152/source\n<127.0.0.1> EXEC /bin/sh -c \'chmod u+x /root/.ansible/tmp/ansible-tmp-1541172295.02-129503570962152/ /root/.ansible/tmp/ansible-tmp-1541172295.02-129503570962152/source && sleep 0\'\nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/files/copy.py\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\n<127.0.0.1> EXEC /bin/sh -c \'rm -f -r /root/.ansible/tmp/ansible-tmp-1541172295.02-129503570962152/ > /dev/null 2>&1 && sleep 0\'\nchanged: [localhost] => {\n    "changed": true, \n    "checksum": "418f8a572d8c4a8c4f6b29ec47a4746dccdb7f55", \n    "dest": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile.modified", \n    "diff": [], \n    "gid": 0, \n    "group": "root", \n    "invocation": {\n        "module_args": {\n            "attributes": null, \n            "backup": false, \n            "checksum": "418f8a572d8c4a8c4f6b29ec47a4746dccdb7f55", \n            "content": null, \n            "delimiter": null, \n            "dest": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile.modified", \n            "directory_mode": null, \n            "follow": false, \n            "force": true, \n            "group": null, \n            "local_follow": null, \n            "mode": null, \n            "original_basename": "Dockerfile", \n            "owner": null, \n            "regexp": null, \n            "remote_src": null, \n            "selevel": null, \n            "serole": null, \n            "setype": null, \n            "seuser": null, \n            "src": "/root/.ansible/tmp/ansible-tmp-1541172295.02-129503570962152/source", \n            "unsafe_writes": null, \n            "validate": null\n        }\n    }, \n    "md5sum": "4c123a1cab3e20fc9fd7ced19af62cfa", \n    "mode": "0644", \n    "owner": "root", \n    "size": 192, \n    "src": "/root/.ansible/tmp/ansible-tmp-1541172295.02-129503570962152/source", \n    "state": "file", \n    "uid": 0\n}\n\nTASK [tripleo-modify-image : Replace FROM directive] ***************************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/modify_image.yml:21\nFriday 02 November 2018  11:24:55 -0400 (0:00:00.399)       0:00:19.890 ******* \nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/_text.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/basic.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/six/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/convert_bool.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/pycompat24.py\nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/files/lineinfile.py\n<127.0.0.1> ESTABLISH LOCAL CONNECTION FOR USER: root\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\nok: [localhost] => {\n    "backup": "", \n    "changed": false, \n    "diff": [\n        {\n            "after": "", \n            "after_header": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile.modified (content)", \n            "before": "", \n            "before_header": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile.modified (content)"\n        }, \n        {\n            "after_header": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile.modified (file attributes)", \n            "before_header": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile.modified (file attributes)"\n        }\n    ], \n    "invocation": {\n        "module_args": {\n            "attributes": null, \n            "backrefs": false, \n            "backup": false, \n            "content": null, \n            "create": false, \n            "delimiter": null, \n            "directory_mode": null, \n            "firstmatch": false, \n            "follow": false, \n            "force": null, \n            "group": null, \n            "insertafter": null, \n            "insertbefore": null, \n            "line": "FROM docker-registry.engineering.redhat.com/rhosp14/openstack-nova-compute:latest", \n            "mode": null, \n            "owner": null, \n            "path": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile.modified", \n            "regexp": "^FROM ", \n            "remote_src": null, \n            "selevel": null, \n            "serole": null, \n            "setype": null, \n            "seuser": null, \n            "src": null, \n            "state": "present", \n            "unsafe_writes": null, \n            "validate": null\n        }\n    }, \n    "msg": ""\n}\n\nTASK [tripleo-modify-image : Add LABEL modified_append_tag=-hotfix] ************\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/modify_image.yml:27\nFriday 02 November 2018  11:24:55 -0400 (0:00:00.362)       0:00:20.252 ******* \nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/files/lineinfile.py\n<127.0.0.1> ESTABLISH LOCAL CONNECTION FOR USER: root\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\nok: [localhost] => {\n    "backup": "", \n    "changed": false, \n    "diff": [\n        {\n            "after": "", \n            "after_header": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile.modified (content)", \n            "before": "", \n            "before_header": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile.modified (content)"\n        }, \n        {\n            "after_header": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile.modified (file attributes)", \n            "before_header": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile.modified (file attributes)"\n        }\n    ], \n    "invocation": {\n        "module_args": {\n            "attributes": null, \n            "backrefs": false, \n            "backup": false, \n            "content": null, \n            "create": false, \n            "delimiter": null, \n            "directory_mode": null, \n            "firstmatch": false, \n            "follow": false, \n            "force": null, \n            "group": null, \n            "insertafter": "^FROM ", \n            "insertbefore": null, \n            "line": "LABEL modified_append_tag=-hotfix", \n            "mode": null, \n            "owner": null, \n            "path": "/tmp/tripleo-modify-imagedGdyCc/Dockerfile.modified", \n            "regexp": null, \n            "remote_src": null, \n            "selevel": null, \n            "serole": null, \n            "setype": null, \n            "seuser": null, \n            "src": null, \n            "state": "present", \n            "unsafe_writes": null, \n            "validate": null\n        }\n    }, \n    "msg": ""\n}\n\nTASK [tripleo-modify-image : Modify image from /tmp/tripleo-modify-imagedGdyCc] ***\ntask path: /usr/share/ansible/roles/tripleo-modify-image/tasks/modify_image.yml:33\nFriday 02 November 2018  11:24:55 -0400 (0:00:00.210)       0:00:20.463 ******* \nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/basic.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/_text.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/convert_bool.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/parsing/__init__.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/pycompat24.py\nUsing module_utils file /usr/lib/python2.7/site-packages/ansible/module_utils/six/__init__.py\nUsing module file /usr/lib/python2.7/site-packages/ansible/modules/commands/command.py\n<127.0.0.1> ESTABLISH LOCAL CONNECTION FOR USER: root\n<127.0.0.1> EXEC /bin/sh -c \'/usr/bin/python2 && sleep 0\'\nfatal: [localhost]: FAILED! => {\n    "changed": true, \n    "cmd": [\n        "docker", \n        "build", \n        "--tag", \n        "192.168.24.1:8787/rhosp14/openstack-nova-compute:latest-hotfix", \n        "--file", \n        "Dockerfile.modified", \n        "--network", \n        "host", \n        "./"\n    ], \n    "delta": "0:00:01.371400", \n    "end": "2018-11-02 11:24:57.634529", \n    "invocation": {\n        "module_args": {\n            "_raw_params": "docker build --tag 192.168.24.1:8787/rhosp14/openstack-nova-compute:latest-hotfix --file Dockerfile.modified --network host ./", \n            "_uses_shell": false, \n            "chdir": "/tmp/tripleo-modify-imagedGdyCc", \n            "creates": null, \n            "executable": null, \n            "removes": null, \n            "stdin": null, \n            "warn": true\n        }\n    }, \n    "msg": "non-zero return code", \n    "rc": 1, \n    "start": "2018-11-02 11:24:56.263129", \n    "stderr": "The command \'/bin/sh -c /tmp/rpm_install.sh\' returned a non-zero code: 1", \n    "stderr_lines": [\n        "The command \'/bin/sh -c /tmp/rpm_install.sh\' returned a non-zero code: 1"\n    ], \n    "stdout": "Sending build context to Docker daemon 4.096 kB\\r\\r\\nStep 1/6 : FROM docker-registry.engineering.redhat.com/rhosp14/openstack-nova-compute:latest\\n ---> 45fe45c3ac27\\nStep 2/6 : LABEL modified_append_tag -hotfix\\n ---> Using cache\\n ---> 5486fde17315\\nStep 3/6 : USER root\\n ---> Using cache\\n ---> 28542cdc4e29\\nStep 4/6 : COPY rpm_install.sh /tmp/\\n ---> Using cache\\n ---> 89967a0d871c\\nStep 5/6 : RUN /tmp/rpm_install.sh\\n ---> Running in 405b02dc885f\\n\\n\\u001b[91m\\u001b[0m\\u001b[91m+ rpm -Uvh \'/tmp/*.rpm\'\\n\\u001b[0m\\u001b[91merror: File not found by glob: /tmp/*.rpm\\n\\u001b[0m", \n    "stdout_lines": [\n        "Sending build context to Docker daemon 4.096 kB", \n        "", \n        "Step 1/6 : FROM docker-registry.engineering.redhat.com/rhosp14/openstack-nova-compute:latest", \n        " ---> 45fe45c3ac27", \n        "Step 2/6 : LABEL modified_append_tag -hotfix", \n        " ---> Using cache", \n        " ---> 5486fde17315", \n        "Step 3/6 : USER root", \n        " ---> Using cache", \n        " ---> 28542cdc4e29", \n        "Step 4/6 : COPY rpm_install.sh /tmp/", \n        " ---> Using cache", \n        " ---> 89967a0d871c", \n        "Step 5/6 : RUN /tmp/rpm_install.sh", \n        " ---> Running in 405b02dc885f", \n        "", \n        "\\u001b[91m\\u001b[0m\\u001b[91m+ rpm -Uvh \'/tmp/*.rpm\'", \n        "\\u001b[0m\\u001b[91merror: File not found by glob: /tmp/*.rpm", \n        "\\u001b[0m"\n    ]\n}\n\nPLAY RECAP *********************************************************************\nlocalhost                  : ok=17   changed=4    unreachable=0    failed=1   \n\nFriday 02 November 2018  11:24:57 -0400 (0:00:01.707)       0:00:22.170 ******* \n=============================================================================== \n'
Stderr: u" [WARNING]: provided hosts list is empty, only localhost is available. Note\nthat the implicit localhost does not match 'all'\n"
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 8 Steve Baker 2019-03-20 04:14:46 UTC
When I track down a release version I'll move this to MODIFIED

Comment 11 errata-xmlrpc 2019-09-21 11:19:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.